@web-font-path: "roboto-debian.css";
v2.2.0 (RP2040)
Loading...
Searching...
No Matches
exception.h File Reference
`#include "pico.h"`
`#include "hardware/address_mapped.h"`
Include dependency graph for exception.h:

Go to the source code of this file.

## Macros

#define | PARAM_ASSERTIONS_ENABLED_HARDWARE_EXCEPTION 0
#define | PICO_LOWEST_EXCEPTION_PRIORITY 0xff
#define | PICO_HIGHEST_EXCEPTION_PRIORITY 0x00

## Typedefs

typedef void(* | exception_handler_t) (void)
| Exception handler function type.

## Enumerations

enum | exception_number { MIN_EXCEPTION_NUM = 2 , NMI_EXCEPTION = 2 , HARDFAULT_EXCEPTION = 3 , SVCALL_EXCEPTION = 11 , PENDSV_EXCEPTION = 14 , SYSTICK_EXCEPTION = 15 , MAX_EXCEPTION_NUM = 15 }
| Exception number definitions. More...

## Functions

exception_handler_t | exception_set_exclusive_handler (enum exception_number num, exception_handler_t handler)
| Set the exception handler for an exception on the executing core.
void | exception_restore_handler (enum exception_number num, exception_handler_t original_handler)
| Restore the original exception handler for an exception on this core.
exception_handler_t | exception_get_vtable_handler (enum exception_number num)
| Get the current exception handler for the specified exception from the currently installed vector table of the execution core.
bool | exception_set_priority (uint num, uint8_t hardware_priority)
| Set specified exception's priority.
uint | exception_get_priority (uint num)
| Get specified exception's priority.